DBusRealString Struct Reference

Internals of DBusString. More...

`#include <dbus-string-private.h>`

## Data Fields

unsigned char * | str
| String data, plus nul termination.
int | len
| Length without nul.
int | allocated
| Allocated size of data.
unsigned int | constant: 1
| String data is not owned by DBusString.
unsigned int | locked: 1
| DBusString has been locked and can't be changed.
unsigned int | invalid: 1
| DBusString is invalid (e.g. More...
unsigned int | align_offset: 3
| str - align_offset is the actual malloc block

## Detailed Description

Internals of DBusString.

DBusString internals. DBusString is an opaque objects, it must be used via accessor functions.

Definition at line 43 of file dbus-string-private.h.

## Field Documentation

unsigned int DBusRealString::invalid

DBusString is invalid (e.g.

already freed)

Definition at line 50 of file dbus-string-private.h.

Referenced by _dbus_string_free(), _dbus_string_init_const_len(), and _dbus_string_init_preallocated().

The documentation for this struct was generated from the following file:

- dbus-string-private.h